ros-jazzy-clearpath-control (2.9.4-1noble) noble; urgency=high

  * Updated W200 acceleration parameters (#315 <https://github.com/clearpathrobotics/clearpath_common/issues/315>)
  * Contributors: Roni Kreinin

 -- Luis Camero <lcamero@clearpathrobotics.com>  Fri, 13 Mar 2026 04:00:00 -0000

ros-jazzy-clearpath-control (2.9.3-1noble) noble; urgency=high



 -- Luis Camero <lcamero@clearpathrobotics.com>  Thu, 26 Feb 2026 05:00:00 -0000

ros-jazzy-clearpath-control (2.9.2-1noble) noble; urgency=high



 -- Luis Camero <lcamero@clearpathrobotics.com>  Thu, 26 Feb 2026 05:00:00 -0000

ros-jazzy-clearpath-control (2.9.1-1noble) noble; urgency=high



 -- Luis Camero <lcamero@clearpathrobotics.com>  Wed, 11 Feb 2026 05:00:00 -0000

ros-jazzy-clearpath-control (2.9.0-1noble) noble; urgency=high

  * Updated j100 acceleration parameters (#296 <https://github.com/clearpathrobotics/clearpath_common/issues/296>)
  * Fix: Update cmake version to 3.20 and fixed CI (#295 <https://github.com/clearpathrobotics/clearpath_common/issues/295>)
    * Update cmake version to 3.20
    * Switch to ubuntu:noble container
    * Use updated repos update action
    * Install python and pip
    * Add apt update
    * Update repos update action version
  * Contributors: Roni Kreinin, luis-camero

 -- Luis Camero <lcamero@clearpathrobotics.com>  Wed, 11 Feb 2026 05:00:00 -0000

ros-jazzy-clearpath-control (2.8.5-1noble) noble; urgency=high



 -- Luis Camero <lcamero@clearpathrobotics.com>  Fri, 30 Jan 2026 05:00:00 -0000

ros-jazzy-clearpath-control (2.8.4-1noble) noble; urgency=high



 -- Luis Camero <lcamero@clearpathrobotics.com>  Mon, 22 Dec 2025 05:00:00 -0000

ros-jazzy-clearpath-control (2.8.3-1noble) noble; urgency=high

  * Fix: Generic (#280 <https://github.com/clearpathrobotics/clearpath_common/issues/280>)
    * Check for generic before creating drivetrain parameters
    * Add teleop_joy default parameter file for generic robot
    * Generic teleop values
    * Generic control file without a controller
    * Generic empty robot
    * Update path to cvontrol in empty generic URDF
  * Contributors: luis-camero

 -- Luis Camero <lcamero@clearpathrobotics.com>  Tue, 16 Dec 2025 05:00:00 -0000

ros-jazzy-clearpath-control (2.8.2-1noble) noble; urgency=high



 -- Luis Camero <lcamero@clearpathrobotics.com>  Thu, 06 Nov 2025 05:00:00 -0000

ros-jazzy-clearpath-control (2.8.1-1noble) noble; urgency=high



 -- Luis Camero <lcamero@clearpathrobotics.com>  Tue, 28 Oct 2025 04:00:00 -0000

ros-jazzy-clearpath-control (2.8.0-1noble) noble; urgency=high



 -- Luis Camero <lcamero@clearpathrobotics.com>  Thu, 23 Oct 2025 04:00:00 -0000

ros-jazzy-clearpath-control (2.7.4-1noble) noble; urgency=high



 -- Luis Camero <lcamero@clearpathrobotics.com>  Thu, 18 Sep 2025 04:00:00 -0000

ros-jazzy-clearpath-control (2.7.3-1noble) noble; urgency=high



 -- Luis Camero <lcamero@clearpathrobotics.com>  Tue, 16 Sep 2025 04:00:00 -0000

ros-jazzy-clearpath-control (2.7.2-1noble) noble; urgency=high



 -- Luis Camero <lcamero@clearpathrobotics.com>  Mon, 08 Sep 2025 04:00:00 -0000

ros-jazzy-clearpath-control (2.7.1-1noble) noble; urgency=high

  * Disable prefixing of links by mecanum controller (#256 <https://github.com/clearpathrobotics/clearpath_common/issues/256>)
  * Contributors: luis-camero

 -- Luis Camero <lcamero@clearpathrobotics.com>  Mon, 08 Sep 2025 04:00:00 -0000

ros-jazzy-clearpath-control (2.7.0-1noble) noble; urgency=high

  * Drivetrains (#237 <https://github.com/clearpathrobotics/clearpath_common/issues/237>)
    * Moved meshes to wheels folder
    Mecanum drivetrain for do100
    * Generic drivetrain URDFs
    * Pass hardware plugin string rather than block
    * Added drivetrain control parameters
    * Removed 2WD for Dingo-O
    * DO150
    * Dingo-D
    * R100
    * A300 urdf
    * Fixed xacro generate print
    * Generic teleop configs per controller
    Platform specific teleop only defines velocity limits
    * A200 drivetrain changes
    * W200 drivetrain urdf
    * Updated A300 meshes
    Mecanum and caster support
    * Separated caster wheel into swivel and wheel links
    * Fixed joystick axis mapping
    * Updated wheel_separation_multiplier for fwd and rwd on A300
    * URDF structure changes for J100
    Updated A200 and W200 to be 4WD
    * Linting
  * Contributors: Roni Kreinin

 -- Luis Camero <lcamero@clearpathrobotics.com>  Mon, 25 Aug 2025 04:00:00 -0000

ros-jazzy-clearpath-control (2.6.4-1noble) noble; urgency=high



 -- Luis Camero <lcamero@clearpathrobotics.com>  Tue, 29 Jul 2025 04:00:00 -0000

ros-jazzy-clearpath-control (2.6.3-1noble) noble; urgency=high



 -- Luis Camero <lcamero@clearpathrobotics.com>  Fri, 18 Jul 2025 04:00:00 -0000

ros-jazzy-clearpath-control (2.6.2-1noble) noble; urgency=high



 -- Luis Camero <lcamero@clearpathrobotics.com>  Mon, 14 Jul 2025 04:00:00 -0000

ros-jazzy-clearpath-control (2.6.1-1noble) noble; urgency=high



 -- Luis Camero <lcamero@clearpathrobotics.com>  Mon, 07 Jul 2025 04:00:00 -0000

ros-jazzy-clearpath-control (2.6.0-1noble) noble; urgency=high

  * Re-enable publishing controller input to joy_teleop/cmd_vel (#232 <https://github.com/clearpathrobotics/clearpath_common/issues/232>)
  * Fix: W200 Diff Drive Parameters (#228 <https://github.com/clearpathrobotics/clearpath_common/issues/228>)
    * Disable using position for odom
    * Lower acceleration to reasonable values
  * Feature/lynx 1.0.0 (#226 <https://github.com/clearpathrobotics/clearpath_common/issues/226>)
    * Added deceleration limits to A300
    * Update to A300 angular parameters
    * Reduced angular velocity defaults for controllers
  * Drop A200 controller manager update rate (#224 <https://github.com/clearpathrobotics/clearpath_common/issues/224>)
    the update rate is limited by the mcu capabilities
  * Contributors: Chris Iverach-Brereton, Hilary Luo, Roni Kreinin, luis-camero

 -- Luis Camero <lcamero@clearpathrobotics.com>  Fri, 04 Jul 2025 04:00:00 -0000

ros-jazzy-clearpath-control (2.5.1-1noble) noble; urgency=high



 -- Luis Camero <lcamero@clearpathrobotics.com>  Tue, 17 Jun 2025 04:00:00 -0000

ros-jazzy-clearpath-control (2.5.0-1noble) noble; urgency=high

  * Fix the velocity limits for Dingo-O using Logitech controllers (#207 <https://github.com/clearpathrobotics/clearpath_common/issues/207>)
  * Increase A300 teleop normal speed to 0.4, reduce turbo speed to 1.5 (#206 <https://github.com/clearpathrobotics/clearpath_common/issues/206>)
  * Contributors: Chris Iverach-Brereton

 -- Luis Camero <lcamero@clearpathrobotics.com>  Thu, 29 May 2025 04:00:00 -0000

ros-jazzy-clearpath-control (2.3.2-1noble) noble; urgency=high



 -- Luis Camero <lcamero@clearpathrobotics.com>  Wed, 30 Apr 2025 04:00:00 -0000

ros-jazzy-clearpath-control (2.3.1-1noble) noble; urgency=high



 -- Luis Camero <lcamero@clearpathrobotics.com>  Wed, 16 Apr 2025 04:00:00 -0000

ros-jazzy-clearpath-control (2.3.0-1noble) noble; urgency=high

  * [clearpath_control] Added remapping for upstream mecanum controller. (#199 <https://github.com/clearpathrobotics/clearpath_common/issues/199>)
  * Re-add reference remapping (#198 <https://github.com/clearpathrobotics/clearpath_common/issues/198>)
  * added cmd_vel_out to dingo Ds
  * remove duplicate remap
  * Jazzy dingo and ridgeback fixes (#179 <https://github.com/clearpathrobotics/clearpath_common/issues/179>)
    * Updated mecanum controller type
    * Changed puma control frequency to 20hz
    * Added mecanum package dep
  * initial changes for adding the linited velocity output
  * Ensure the right horizontal axis is used for yaw control, left horizontal axis for linear-y (#178 <https://github.com/clearpathrobotics/clearpath_common/issues/178>)
  * Contributors: Chris Iverach-Brereton, José Mastrangelo, Roni Kreinin, Tony Baltovski, luis-camero

 -- Luis Camero <lcamero@clearpathrobotics.com>  Fri, 11 Apr 2025 04:00:00 -0000

ros-jazzy-clearpath-control (2.2.2-1noble) noble; urgency=high



 -- Luis Camero <lcamero@clearpathrobotics.com>  Wed, 09 Apr 2025 04:00:00 -0000

ros-jazzy-clearpath-control (2.2.1-1noble) noble; urgency=high



 -- Luis Camero <lcamero@clearpathrobotics.com>  Mon, 07 Apr 2025 04:00:00 -0000

ros-jazzy-clearpath-control (2.2.0-1noble) noble; urgency=high



 -- Luis Camero <lcamero@clearpathrobotics.com>  Tue, 11 Mar 2025 04:00:00 -0000

ros-jazzy-clearpath-control (2.1.0-1noble) noble; urgency=high

  * Reduced angular velocity limits from joysticks (#160 <https://github.com/clearpathrobotics/clearpath_common/issues/160>)
  * Feature/ekf diagnostics (#158 <https://github.com/clearpathrobotics/clearpath_common/issues/158>)
  * Diff drive parameter updates for improved odometry (#155 <https://github.com/clearpathrobotics/clearpath_common/issues/155>)
  * Contributors: Hilary Luo, Roni Kreinin

 -- Luis Camero <lcamero@clearpathrobotics.com>  Fri, 31 Jan 2025 05:00:00 -0000

ros-jazzy-clearpath-control (2.0.3-1noble) noble; urgency=high

  * Bypass bluetooth link quality check (#151 <https://github.com/clearpathrobotics/clearpath_common/issues/151>)
    * Comment-out the bluetooth cutoff node, the mux, and the remap from the joy_teleop to bypass the link quality check
    * Add missing newlines to joy teleop config files
    * Change the link quality check to be exclusive instead of inclusive
  * Contributors: Chris Iverach-Brereton

 -- Luis Camero <lcamero@clearpathrobotics.com>  Tue, 21 Jan 2025 05:00:00 -0000

ros-jazzy-clearpath-control (2.0.2-1noble) noble; urgency=high



 -- Luis Camero <lcamero@clearpathrobotics.com>  Mon, 20 Jan 2025 05:00:00 -0000

ros-jazzy-clearpath-control (2.0.1-1noble) noble; urgency=high



 -- Luis Camero <lcamero@clearpathrobotics.com>  Fri, 17 Jan 2025 05:00:00 -0000

ros-jazzy-clearpath-control (2.0.0-1noble) noble; urgency=high

  * Update diff_drive controller settings (#137 <https://github.com/clearpathrobotics/clearpath_common/issues/137>)
    * Update diff_drive controller settings
    * Update all diff_drive settings
  * Improve joy telep support (#131 <https://github.com/clearpathrobotics/clearpath_common/issues/131>)
    * Update description, add bluez dependency
    * Add the quality_cutoff parameter to all of the PS4 configuration files
    * Update the launch file to start the new cutoff node and additional twist_mux
    * Add udev rules for various controllers
    * Add dependency on the new bt cutoff package
    * Add xbox controller parameters for all platforms
    * Fix the PS4/5 axis ordering; the left stick shows up as axis 3/4, with the l/r analogue triggers being 2 & 5. Update omni control configurations accordingly
    * Add PS5 udev rules, config files
    * Add a timeout to the quality lock so we lock out the controller if the quality-checker node crashes
    * Set the respawn flag for the BT cutoff node and the joy_linux node
    * Add additional logging when blocking for services & IPC. Since we've added a timeout to the lock, publish fake quality data when using wired controllers. Log when this happens
  * Add enable_ekf launch parameter to platform -> localization launch files. Disable the EKF node if enable_ekf is false. (#133 <https://github.com/clearpathrobotics/clearpath_common/issues/133>)
  * Fix sensor depends (#129 <https://github.com/clearpathrobotics/clearpath_common/issues/129>)
    * Remove the package initializations that depend on robot packages
    * Add a copy of the imu_filter parameters from clearpath_sensors to clearpath_control. Change the default IMU filter config path to point to this file. Remove more unneeded initializations of clearpath_robot packages
  * A300 VCAN (#130 <https://github.com/clearpathrobotics/clearpath_common/issues/130>)
    * A300 vcan1
    * Set vcan0 to be default can interface for lynx control
    * Fix to prevent including the same package multiple times
    * Added filename argument to LaunchFile
    * Linting
  * A300 (#118 <https://github.com/clearpathrobotics/clearpath_common/issues/118>)
    * Add A300 meshes
    * Move A300 meshes
    * Add A300 URDF
    * Added A300 control configuration files
    * Remove unstamped parameter, deprecated
    * Use clearpath_hardware_interface LynxHardware
  * Fix controller names and kinematics (#109 <https://github.com/clearpathrobotics/clearpath_common/issues/109>)
  * Update simulation support for Jazzy (#117 <https://github.com/clearpathrobotics/clearpath_common/issues/117>)
    * Rename gazebo plugins to use new gz nomenclature instead of ign/ignition. Use stamped velocity messages.
    * Restructure the twist_mux yaml file to be more legible, remove the parameters that are overwritten by the launch file anyway
    * Put use_stamped back just for the sake of being explicit. Add use_stamped directly to the launch file
    * Fix the tests to catch unsupported platforms & accessories
  * Rename ign_ -> gz_ for gazebo dependencies, comment-out missing jazzy dependencies (for now)
  * Removed unstamped remappings
  * Set minimum version of teleop_twist_joy to 2.6.1 (the lowest version that supports stamped messages)
  * Pass use_stamped to twist_mux
  * Remap twist_mux output to stamped cmd_vel
  * Pass publish_stamped_twist to joystick teleop node
  * Remap stamped cmd_vel controller topic
  * Contributors: Chris Iverach-Brereton, Christoph Fröhlich, Luis Camero, Roni Kreinin, Tony Baltovski

 -- Luis Camero <lcamero@clearpathrobotics.com>  Thu, 16 Jan 2025 05:00:00 -0000

ros-jazzy-clearpath-control (1.0.0-1noble) noble; urgency=high

  * Fix controller names and kinematics (#109 <https://github.com/clearpathrobotics/clearpath_common/issues/109>)
  * Contributors: luis-camero

 -- Luis Camero <lcamero@clearpathrobotics.com>  Mon, 25 Nov 2024 05:00:00 -0000

ros-jazzy-clearpath-control (0.3.4-1noble) noble; urgency=high



 -- Luis Camero <lcamero@clearpathrobotics.com>  Tue, 08 Oct 2024 04:00:00 -0000

ros-jazzy-clearpath-control (0.3.3-1noble) noble; urgency=high



 -- Luis Camero <lcamero@clearpathrobotics.com>  Fri, 04 Oct 2024 04:00:00 -0000

ros-jazzy-clearpath-control (0.3.2-1noble) noble; urgency=high



 -- Luis Camero <lcamero@clearpathrobotics.com>  Sun, 29 Sep 2024 04:00:00 -0000

ros-jazzy-clearpath-control (0.3.1-1noble) noble; urgency=high



 -- Luis Camero <lcamero@clearpathrobotics.com>  Mon, 23 Sep 2024 04:00:00 -0000

ros-jazzy-clearpath-control (0.3.0-1noble) noble; urgency=high

  * Changes.
  * Add dependency clearpath_mecanum_drive_controller
  * 0.3.0 Release Candidate with Main Changes (#81 <https://github.com/clearpathrobotics/clearpath_common/issues/81>)
    * Added tests
    * Added action to build from release and source
    * Generator linting erros
    * Customization linting errors
    * Linting
    * Fix: Remove IP address from discovery server launch so it listens on all NICs
    * Changes.
    * 0.2.8
    * Add sysctl config file that changes ipfrag settings to support receiving large messages
    * Added Zed URDF
    * Added Zed to description generator
    * Modified common parameter generation to always flatten
    * Changes.
    * 0.2.9
    * Missing important remapping to mirror hardware topics
    * Added topic to gazebo plugins
    * Updated topic names to match gazebo message types
    * Topics of simulated onboard sensors
    * Realsense adds optical links when in simulator
    * Changes.
    * 0.2.10
    * Modifies platform param to add GQ7 IMU data to ekf_localization and adds GQ7 URDF
    * Fixes styling issues
    * Set spawner as super client
    * Changes.
    * 0.2.11
    * Removed duplicate class
    * Use ROS1 covariance values
    * Updated renamed macanum drive controller
    * Enable gazebo friction plugin on DingoO
    ---------
    Co-authored-by: Hilary Luo <mailto:hluo@clearpathrobotics.com>
    Co-authored-by: Tony Baltovski <mailto:tbaltovski@clearpathrobotics.com>
    Co-authored-by: Steve Macenski <mailto:stevenmacenski@gmail.com>
    Co-authored-by: robbiefish <mailto:rob.fisher@hbkworld.com>
  * Add Y to controllers
  * Updated wheel separation
  * Keep both joint definitions
  * Control updates
  * Changed default canbus device to vcan0
  * Added Puma control configuration
  * 0.2.8
  * Changes.
  * 0.2.7
  * Changes.
  * Control adds manipulators if simulation
  * Modifications to allow arms to function
  * 0.2.6
  * Changes.
  * Disable tf_frame_prefix_enable
  * 0.2.5
  * Changes.
  * 0.2.4
  * Changes.
  * 0.2.3
  * Changes.
  * 0.2.2
  * Changes.xx
  * 0.2.1
  * Changes.
  * Added do150 control
  * Dingo O mecanum wheels
  * Fixed rocker and small covariance
  * Fixed wheel radius parameter
  * Initial add do100
  * Contributors: Luis Camero, Tony Baltovski, luis-camero
  * Add dependency clearpath_mecanum_drive_controller
  * Added tests
  * Added action to build from release and source
  * Generator linting erros
  * Customization linting errors
  * Linting
  * Fix: Remove IP address from discovery server launch so it listens on all NICs
  * Add sysctl config file that changes ipfrag settings to support receiving large messages
  * Added Zed URDF
  * Added Zed to description generator
  * Modified common parameter generation to always flatten
  * Missing important remapping to mirror hardware topics
  * Added topic to gazebo plugins
  * Updated topic names to match gazebo message types
  * Topics of simulated onboard sensors
  * Realsense adds optical links when in simulator
  * Modifies platform param to add GQ7 IMU data to ekf_localization and adds GQ7 URDF
  * Fixes styling issues
  * Set spawner as super client
  * Removed duplicate class
  * Use ROS1 covariance values
  * Updated renamed macanum drive controller
  * Enable gazebo friction plugin on DingoO
  * Add Y to controllers
  * Updated wheel separation
  * Keep both joint definitions
  * Control updates
  * Changed default canbus device to vcan0
  * Added Puma control configuration
  * Control adds manipulators if simulation
  * Modifications to allow arms to function
  * Added do150 control
  * Dingo O mecanum wheels
  * Fixed rocker and small covariance
  * Fixed wheel radius parameter
  * Initial add do100
  * Contributors: Tony Baltovski, luis-camero, Steve Macenski, Hilary Luo, robbiefish

 -- Luis Camero <lcamero@clearpathrobotics.com>  Thu, 19 Sep 2024 04:00:00 -0000

ros-jazzy-clearpath-control (0.2.11-1noble) noble; urgency=high

  * Set spawner as super client
  * Contributors: Luis Camero

 -- Luis Camero <lcamero@clearpathrobotics.com>  Thu, 08 Aug 2024 04:00:00 -0000

ros-jazzy-clearpath-control (0.2.10-1noble) noble; urgency=high



 -- Luis Camero <lcamero@clearpathrobotics.com>  Thu, 25 Jul 2024 04:00:00 -0000

ros-jazzy-clearpath-control (0.2.9-1noble) noble; urgency=high



 -- Luis Camero <lcamero@clearpathrobotics.com>  Tue, 28 May 2024 04:00:00 -0000

ros-jazzy-clearpath-control (0.2.8-1noble) noble; urgency=high



 -- Luis Camero <lcamero@clearpathrobotics.com>  Tue, 14 May 2024 04:00:00 -0000

ros-jazzy-clearpath-control (0.2.7-1noble) noble; urgency=high



 -- Luis Camero <lcamero@clearpathrobotics.com>  Mon, 08 Apr 2024 04:00:00 -0000

ros-jazzy-clearpath-control (0.2.6-1noble) noble; urgency=high

  * Disable tf_frame_prefix_enable
  * Contributors: Luis Camero

 -- Luis Camero <lcamero@clearpathrobotics.com>  Thu, 18 Jan 2024 05:00:00 -0000

ros-jazzy-clearpath-control (0.2.5-1noble) noble; urgency=high



 -- Luis Camero <lcamero@clearpathrobotics.com>  Mon, 15 Jan 2024 05:00:00 -0000

ros-jazzy-clearpath-control (0.2.4-1noble) noble; urgency=high



 -- Luis Camero <lcamero@clearpathrobotics.com>  Thu, 11 Jan 2024 05:00:00 -0000

ros-jazzy-clearpath-control (0.2.3-1noble) noble; urgency=high



 -- Luis Camero <lcamero@clearpathrobotics.com>  Mon, 08 Jan 2024 05:00:00 -0000

ros-jazzy-clearpath-control (0.2.2-1noble) noble; urgency=high



 -- Luis Camero <lcamero@clearpathrobotics.com>  Thu, 04 Jan 2024 05:00:00 -0000

ros-jazzy-clearpath-control (0.2.1-1noble) noble; urgency=high



 -- Luis Camero <lcamero@clearpathrobotics.com>  Thu, 21 Dec 2023 05:00:00 -0000

ros-jazzy-clearpath-control (0.2.0-1noble) noble; urgency=high

  * Pass robot description to controller manager over topic
  * Added W200 Hardware interface.
  * Fixed dingo control param
  * Added DD150
  * Fixed name
  * Removed comments
  * Reduced speed on turbo dd100
  * Added dd100
  * Added fixes to control and localization
  * Extended timeout to a minute
  * Added configuration files for generic robots
  * Fixes to control parameters and naming
  * Fixed package names and added w200 urdf macro
  * Initial Warthog addition
  * Contributors: Hilary Luo, Luis Camero, Roni Kreinin, Tony Baltovski

 -- Luis Camero <lcamero@clearpathrobotics.com>  Fri, 08 Dec 2023 05:00:00 -0000

ros-jazzy-clearpath-control (0.1.3-1noble) noble; urgency=high



 -- Luis Camero <lcamero@clearpathrobotics.com>  Fri, 03 Nov 2023 04:00:00 -0000

ros-jazzy-clearpath-control (0.1.2-1noble) noble; urgency=high



 -- Luis Camero <lcamero@clearpathrobotics.com>  Mon, 02 Oct 2023 04:00:00 -0000

ros-jazzy-clearpath-control (0.1.1-1noble) noble; urgency=high



 -- Luis Camero <lcamero@clearpathrobotics.com>  Fri, 25 Aug 2023 04:00:00 -0000

ros-jazzy-clearpath-control (0.1.0-1noble) noble; urgency=high

  * Formatting
  * Removed joy_teleop namespace, remap topics to that namespace instead
  * Contributors: Roni Kreinin

 -- Luis Camero <lcamero@clearpathrobotics.com>  Thu, 17 Aug 2023 04:00:00 -0000

ros-jazzy-clearpath-control (0.0.9-1noble) noble; urgency=high

  * Update platform nodes from extra ros parameters
    Flattened default parameter files
  * Contributors: Roni Kreinin

 -- Luis Camero <lcamero@clearpathrobotics.com>  Mon, 31 Jul 2023 04:00:00 -0000

ros-jazzy-clearpath-control (0.0.8-1noble) noble; urgency=high



 -- Luis Camero <lcamero@clearpathrobotics.com>  Mon, 24 Jul 2023 04:00:00 -0000

ros-jazzy-clearpath-control (0.0.7-1noble) noble; urgency=high



 -- Luis Camero <lcamero@clearpathrobotics.com>  Wed, 19 Jul 2023 04:00:00 -0000

ros-jazzy-clearpath-control (0.0.6-1noble) noble; urgency=high



 -- Luis Camero <lcamero@clearpathrobotics.com>  Thu, 13 Jul 2023 04:00:00 -0000

ros-jazzy-clearpath-control (0.0.5-1noble) noble; urgency=high



 -- Luis Camero <lcamero@clearpathrobotics.com>  Wed, 12 Jul 2023 04:00:00 -0000

ros-jazzy-clearpath-control (0.0.4-1noble) noble; urgency=high



 -- Luis Camero <lcamero@clearpathrobotics.com>  Fri, 07 Jul 2023 04:00:00 -0000

ros-jazzy-clearpath-control (0.0.3-1noble) noble; urgency=high

  * Updated localization configs
  * J100 use Vyaw for localization
  * Updated husky track value
  * Wheel slip plugin
    Significantly improved jackal odom in sim
  * Contributors: Roni Kreinin

 -- Luis Camero <lcamero@clearpathrobotics.com>  Wed, 05 Jul 2023 04:00:00 -0000

ros-jazzy-clearpath-control (0.0.2-1noble) noble; urgency=high



 -- Luis Camero <lcamero@clearpathrobotics.com>  Tue, 04 Jul 2023 04:00:00 -0000

ros-jazzy-clearpath-control (0.0.1-1noble) noble; urgency=high

  * Updated launch writer make writing different object types easier
    Localization parameter fixes
    Updated gazebo wheel friction
  * Added namespacing support
  * Added clearpath_generator_common
    Moved clearpath_platform to clearpath_common
    Fixed use_sim_time parameter issue with ekf_node
  * Use generated configs for control, localization, teleop
  * use_sim_time support
    Added lidar gazebo plugins
  * Fixed dependencies
  * Moved description generator to clearpath_generators
    Added accessory urdf's
    Use launch arg for choosing controller
  * Moved IMU filter to platform launch
    Moved localization into a separate launch file
    Updated decoration urdfs
    Added structure urdf
  * Remapped topics to match API
  * Corrected imu_filter_node topics and parameter node name
    Use joy_linux
  * Bishop sensors/mounts
  * Added realsense description
  * [clearpath_control] Renamed robot_model to platform_model.
  * control launch fixes
    Added ark enclosure for j100 top_plate
  * Move clearpath_description to clearpath_platform_description and switched robot names to robot model number.
  * [clearpath_control] Switched to using model number.
  * [clearpath_control] Changed depends to exec_depends.
  * [clearpath_control] Updated platform names to model.
  * Select launch configuration without launch context
  * Initial commit of clearpath_control.
  * Contributors: Roni Kreinin, Tony Baltovski

 -- Luis Camero <lcamero@clearpathrobotics.com>  Wed, 21 Jun 2023 04:00:00 -0000


